Bug 68963 - FILESAVE:cross-reference heading field not visible in doc format
Summary: FILESAVE:cross-reference heading field not visible in doc format
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium major
Assignee: Justin L
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4.1
Keywords: preBibisect
Depends on:
Blocks:
 
Reported: 2013-09-05 06:05 UTC by Justin L
Modified: 2015-12-17 07:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Source document describing and illustrating the problem. (20.19 KB, application/vnd.oasis.opendocument.text)
2013-09-05 06:05 UTC, Justin L
Details
printout showing the missing fields. Page 1 is ODT (looks good). Page 2 is DOC (missing index text, but link is functional if you can find it). (121.49 KB, application/pdf)
2013-09-05 06:07 UTC, Justin L
Details
Word 2003 authored document with table of contents - doesn't exhibit the reported problem. (26.50 KB, application/msword)
2015-01-17 15:50 UTC, Justin L
Details
replacement example doc with more combinations and types of references. (22.00 KB, application/msword)
2015-03-14 16:14 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2013-09-05 06:05:31 UTC
Created attachment 85222 [details]
Source document describing and illustrating the problem.

Saving as a .DOC file messes up a heading index using cross-reference fields.  The text of the inserted field isn't visible in LibreOffice 4.1.1 (or 4.0.0.3).  Saving as ODT or DOCX is fine.
Comment 1 Justin L 2013-09-05 06:07:26 UTC
Created attachment 85223 [details]
printout showing the missing fields.   Page 1 is ODT (looks good).  Page 2 is DOC (missing index text, but link is functional if you can find it).
Comment 2 Thomas van der Meulen 2013-09-09 05:56:24 UTC
Thank you for your bug report, I can reproduce this bug running Version: 4.1.2.1
Build ID: bf15ac65c2167fb1ef3daf3710609d4a4c369a9
on Mac osx 10.8.4.
Comment 3 Justin L 2013-11-12 09:17:19 UTC
confirmed that this is still a bug in 4.1.3
Comment 4 Justin L 2014-05-01 08:12:55 UTC
confirmed that this is still a bug in 4.1.6.2 and in 4.2.4.1
Comment 5 Justin L 2014-09-02 14:47:24 UTC
Regression does appear in oldest version of bibisect-43all.tar.xz and must be older   (LibreOffice 3.5.0  Build ID: d6cde02)

Confirmed still a problem in development version: 4.4.0.0.alpha0+ Build ID: 1a91abb451806bd93a08953c6a1afdb88995705e
Comment 6 Justin L 2015-01-17 15:50:24 UTC
Created attachment 112395 [details]
Word 2003 authored document with table of contents - doesn't exhibit the reported problem.

I'm making decent progress on fixing this bug.  The source code is sw/source/filter/ww8/ww8par5.cxx - adding (without duplicating) __Ref_Header__ prefix as a recognized TOC bookmark.

It seems like only LibreOffice authored documents and saved as .doc exhibit this problem.
Comment 7 Justin L 2015-01-19 16:18:59 UTC
Patch submitted:  https://gerrit.libreoffice.org/14018
Comment 8 Commit Notification 2015-01-22 09:23:32 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa852c88c8312512e3595accefb9bc4d234a26a3

fdo#68963 recognize __RefHeading__ bookmarks as TOC in .doc files

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-01-23 11:51:13 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=789ee5c2c6f3ed8bcee94d2596a9673055da6ebe&h=libreoffice-4-3

fdo#68963 recognize __RefHeading__ bookmarks as TOC

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-01-23 11:52:38 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7aa6bf5a7c89c8d114c84eb24e3056568fb7c9df&h=libreoffice-4-4

fdo#68963 recognize __RefHeading__ bookmarks as TOC

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Andras Timar 2015-03-01 18:36:23 UTC
The fix of this bug caused a regression, see bug 89482.
Comment 12 Justin L 2015-03-14 16:14:03 UTC
Created attachment 114092 [details]
replacement example doc with more combinations and types of references.

patch submitted to 4.3.7 to avoid introducing the regression on 4.3 branch.  https://gerrit.libreoffice.org/14865
Comment 13 Commit Notification 2015-03-19 11:02:35 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d66458347f552cbd436d82700626d45eeb1f80fb&h=libreoffice-4-3

tdf#68963 avoid __refheading__ regression reported in tdf#89482

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Robinson Tryon (qubit) 2015-12-17 07:30:31 UTC Comment hidden (obsolete)